Results 1 to 10 of 10

Thread: Message Box: "Requires installation of untrusted packages"

  1. #1
    Join Date
    May 2010
    Beans
    7

    Message Box: "Requires installation of untrusted packages"

    I recently installed Ubuntu 10.04. I'm new at it.
    When I go to the Ubuntu Software Center and try to install a program, the Message Box "Requires installation of untrusted packages". The message says 'The action would require the installation of packages from not authenticated sources.'

    What does this means? And what I should do to be able to install programs?

    Thank you.

    RDP9

  2. #2
    Join Date
    Apr 2009
    Location
    Hyderabad/Guntur, India
    Beans
    244
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Message Box: "Requires installation of untrusted packages"

    It's just an extra safety precaution. You can safely install any package from the official repositories.
    Linux User #496905
    "...Deep Hack Mode--that mysterious and frightening state of consciousness where Mortal Users fear to tread."

  3. #3
    Join Date
    May 2010
    Beans
    7

    Re: Message Box: "Requires installation of untrusted packages"

    Then why I can't download any software?
    And what are the official repositories?

  4. #4
    Join Date
    Apr 2006
    Location
    Montana
    Beans
    Hidden!
    Distro
    Kubuntu Development Release

    Re: Message Box: "Requires installation of untrusted packages"

    Quote Originally Posted by ramosdelpalo9 View Post
    Then why I can't download any software?
    And what are the official repositories?
    Repositories are collections of applications and source code.

    The official repositories are the ones that came with Ubuntu when you installed Ubuntu.

    See:

    https://help.ubuntu.com/community/InstallingSoftware

    For a start.

    The warning you are getting is because I assume you added a repository or ppa without adding the gpg key :

    http://wiki.debian.org/SecureApt

    https://help.launchpad.net/Packaging...allingSoftware

    Run
    Code:
    sudo apt-get update
    and post any error messages.

    Otherwise hard to know your exact problem.
    There are two mistakes one can make along the road to truth...not going all the way, and not starting.
    --Prince Gautama Siddharta

    #ubuntuforums web interface

  5. #5
    Join Date
    May 2010
    Beans
    7

    Re: Message Box: "Requires installation of untrusted packages"

    Thanks for the links. Looks like I just had to request the key it already had.. I think, not sure. But it works.

  6. #6
    Join Date
    Feb 2010
    Beans
    28

    Re: Message Box: "Requires installation of untrusted packages"

    "Runing in terminal
    Code:
    sudo apt-get update
    "

    Fixed it. Thanks

  7. #7
    Join Date
    Apr 2010
    Location
    Tennessee
    Beans
    16
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Message Box: "Requires installation of untrusted packages"

    hey im having almost the exact same problem only i am on maverick meercat 10.10 and this is the error message when i try $ sudo apt-get update

    W: Failed to fetch http://archive.ubuntu.com/ubuntu/dis...ck/Release.gpg Something wicked happened resolving 'archive.ubuntu.com:http' (-5 - No address associated with hostname)

    W: Failed to fetch http://archive.ubuntu.com/ubuntu/dis...slation-en.bz2 Something wicked happened resolving 'archive.ubuntu.com:http' (-5 - No address associated with hostname)

    W: Failed to fetch http://archive.getdeb.net/ubuntu/dis...eb/Release.gpg Could not connect to archive.getdeb.net:80 (208.98.166.60). - connect (110: Connection timed out)

    W: Failed to fetch http://archive.getdeb.net/ubuntu/dis...slation-en.bz2 Unable to connect to archive.getdeb.net:http:

    W: Failed to fetch http://archive.getdeb.net/ubuntu/dis...tion-en_US.bz2 Unable to connect to archive.getdeb.net:http:

    W: Failed to fetch http://dl.google.com/linux/chrome/de...le/Release.gpg Something wicked happened resolving 'dl.google.com:http' (-5 - No address associated with hostname)

    W: Failed to fetch http://archive.getdeb.net/ubuntu/dis...rce/Sources.gz Unable to connect to archive.getdeb.net:http:

    W: Failed to fetch http://archive.getdeb.net/ubuntu/dis...64/Packages.gz Unable to connect to archive.getdeb.net:http:

    E: Some index files failed to download, they have been ignored, or old ones used instead.
    rulitawyn@Oakenheart:~$

  8. #8
    Join Date
    Jun 2010
    Beans
    1

    Red face Re: Message Box: "Requires installation of untrusted packages"

    Thanks you saved my day

  9. #9
    Join Date
    Sep 2011
    Beans
    1

    Re: Message Box: "Requires installation of untrusted packages"

    Thank you very much.

  10. #10
    Join Date
    Feb 2008
    Location
    Texas
    Beans
    14,732
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Message Box: "Requires installation of untrusted packages"

    If a post is older than a year or so and hasn't had a new reply in that time, instead of replying to it, create a new thread. In the software world, a lot can change in a very short time, and doing things this way makes it more likely that you will find the best information. You may link to the original discussion in the new thread if you think it may be helpful.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •